NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::SelectIBody Class Reference

Represents a single object selection. More...

Inheritance diagram for NXOpen::SelectIBody:
NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Member Functions

void GetValue (NXOpen::IBody **selection, NXOpen::View **view, NXOpen::Point3d *point)
 The object being selected with the object's view and point. More...
 
void GetValue (NXOpen::InferSnapType::SnapType *snapType, NXOpen::IBody **selection1, NXOpen::View **view1, NXOpen::Point3d *point1, NXOpen::IBody **selection2, NXOpen::View **view2, NXOpen::Point3d *point2)
 The object being selected with the objects view and point and snap information. More...
 
NXOpen::IBodyGetValue (NXOpen::CaeObjectType::CaeSubType *caeSubType, int *caeSubId)
 The object being selected with CAE set object information. More...
 
void SetValue (NXOpen::IBody *selection)
 Sets the object being selected. More...
 
void SetValue (NXOpen::IBody *selection, NXOpen::View *view, const NXOpen::Point3d &point)
 The object being selected with the object's view and object's point. More...
 
void SetValue (NXOpen::InferSnapType::SnapType snapType, NXOpen::IBody *selection1, NXOpen::View *view1, const NXOpen::Point3d &point1, NXOpen::IBody *selection2, NXOpen::View *view2, const NXOpen::Point3d &point2)
 The object being selected with the objects view and objects point and snap information. More...
 
void SetValue (NXOpen::IBody *selection, NXOpen::CaeObjectType::CaeSubType caeSubType, int caeSubId)
 The object being selected with CAE set object information. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
NXOpen::IBodyValue ()
 Returns the object being selected. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a single object selection.


Created in NX5.0.0.

Member Function Documentation

void NXOpen::SelectIBody::GetValue ( NXOpen::IBody **  selection,
NXOpen::View **  view,
NXOpen::Point3d point 
)

The object being selected with the object's view and point.


Created in NX5.0.0.

License requirements : None

Parameters
selectionselected object
viewselected object view
pointselected object point
void NXOpen::SelectIBody::GetValue ( NXOpen::InferSnapType::SnapType snapType,
NXOpen::IBody **  selection1,
NXOpen::View **  view1,
NXOpen::Point3d point1,
NXOpen::IBody **  selection2,
NXOpen::View **  view2,
NXOpen::Point3d point2 
)

The object being selected with the objects view and point and snap information.


Created in NX5.0.0.

License requirements : None

Parameters
snapTypesnap point type
selection1first selected object
view1first selected object view
point1first selected object point
selection2second selected object
view2second selected object view
point2second selected object point
NXOpen::IBody* NXOpen::SelectIBody::GetValue ( NXOpen::CaeObjectType::CaeSubType caeSubType,
int *  caeSubId 
)

The object being selected with CAE set object information.

Returns
selected object
Deprecated:
Deprecated in NX10.0.0. Use other versions of NXOpen::SelectObject::GetValue .


Created in NX5.0.0.

License requirements : None

Parameters
caeSubTypeCAE set object sub type
caeSubIdCAE set object sub id
void NXOpen::SelectIBody::SetValue ( NXOpen::IBody selection)

Sets the object being selected.


Created in NX5.0.0.

License requirements : None

Parameters
selectionselected object
void NXOpen::SelectIBody::SetValue ( NXOpen::IBody selection,
NXOpen::View view,
const NXOpen::Point3d point 
)

The object being selected with the object's view and object's point.


Created in NX5.0.0.

License requirements : None

Parameters
selectionselected object
viewselected object view
pointselected object point
void NXOpen::SelectIBody::SetValue ( NXOpen::InferSnapType::SnapType  snapType,
NXOpen::IBody selection1,
NXOpen::View view1,
const NXOpen::Point3d point1,
NXOpen::IBody selection2,
NXOpen::View view2,
const NXOpen::Point3d point2 
)

The object being selected with the objects view and objects point and snap information.


Created in NX5.0.0.

License requirements : None

Parameters
snapTypesnap point type
selection1first selected object
view1first selected object view
point1first selected object point
selection2second selected object
view2second selected object view
point2second selected object point
void NXOpen::SelectIBody::SetValue ( NXOpen::IBody selection,
NXOpen::CaeObjectType::CaeSubType  caeSubType,
int  caeSubId 
)

The object being selected with CAE set object information.


Deprecated:
Deprecated in NX10.0.0. Use other versions of NXOpen::SelectObject::SetValue .


Created in NX5.0.0.

License requirements : None

Parameters
selectionselected object
caeSubTypeCAE set object sub type
caeSubIdCAE set object sub id
virtual bool NXOpen::SelectIBody::Validate ( )
virtual

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.

Returns
Was self validation successful
Created in NX3.0.1.

License requirements : None

Implements NXOpen::GeometricUtilities::IComponentBuilder.

NXOpen::IBody* NXOpen::SelectIBody::Value ( )

Returns the object being selected.


Created in NX5.0.0.

License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.